# SaslNotAuthorizedError class

Triggered when the server returned us a failure during SASL (https://xmpp.org/rfcs/rfc6120.html#sasl-errors-not-authorized).

Inheritance
  - Object
  - XmppError
  - NegotiatorError
  - SaslError
  - SaslNotAuthorizedError

## Constructors

SaslNotAuthorizedError ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

isRecoverable () → bool
  Return true if we can recover from the error by attempting a reconnection.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited